import pygame
import sys

def display(view,points,time_display, seconds): #options are 'intro' or 'continue' and a time string
    "Colors----"
    black = (0,0,0)
    white = (255,255,255)
    green = (0,255,0)
    red = (255,0,0)
    dark_red = (139,0,0)
    purple = (205,0,205)
    gold = (255,128,0)
    "/End Colors----"
    
    pygame.init()
    pygame.display.set_caption("Hare Trigger")

    size = [900,600]
    screen = pygame.display.set_mode(size)
    #Grab background image, then resize it.
    
    hit = False #user clicks 'Go'
    running = True
    clock = pygame.time.Clock()
   
    #Describe font types ----  I should have named these according to their size.  Fail.
    go_font = pygame.font.Font(None, 180)
    title_font = pygame.font.Font(None, 110)
    sub_title_font = pygame.font.Font(None, 30)
    mid_title_font = pygame.font.Font(None, 80)
    scoreboard_font = pygame.font.Font(None, 50)
    #End fonts ----
    
    #points = 0
    scoreboard = scoreboard_font.render("Score:", True, purple) #render scoreboard
    score = scoreboard_font.render(str(points), True, purple)
    
    if view == 'intro': #this is the intro screen
        #Prerender fonts and prep images before displaying to screen
        background = pygame.image.load("Cute_Bunny_by_polawat.jpg")
        background = pygame.transform.smoothscale(background, size)
        title = title_font.render("Hare Trigger", True, white)
        title2 = sub_title_font.render("The bunnies are multiplying.",True,white)
        title3 = sub_title_font.render("Shoot the mutants to keep the others alive.", True, white)
        title4 = sub_title_font.render("Click 'GO' when ready.", True, white)
        go = go_font.render("GO", True, gold)
        gorect = pygame.Rect(300,300,290,280) #hitbox for "go" font

    if view == 'gameover': #this is the 'game over' screen
        background = pygame.image.load("Bloody_Bunny_by_Nikarorku.png")
        background = pygame.transform.smoothscale(background, size)
        title = title_font.render("Oh Noes", True, white)
        title2 = sub_title_font.render("All your bunnies Died!",True,white)
        title3 = mid_title_font.render("PLAY AGAIN?", True, white)
        yes = go_font.render("YES", True, green)
        no = go_font.render("NO", True, black)
        score_count = title_font.render(str("XX"+str(points)+"XX"), True, red)
        #End Prerendering
        yes_rect = pygame.Rect(630,240,250,110) #hitbox for "go" font
        no_rect = pygame.Rect(690,380,230,110)
    while running:
        
        clock.tick(30)
        #screen.fill(black)
        
        for event in pygame.event.get(): 
            if event.type == pygame.QUIT:
                running = False
                return False

        if view == 'intro':
            #show all this text
            screen.blit(background,[0,0])
            screen.blit(title,[75,130])
            screen.blit(title4,[75,200])
            screen.blit(title2,[75,262])
            screen.blit(title3,[75,282])
            screen.blit(go,[260,336])
            #screen.blit(scoreboard,[717,7])
            #screen.blit(score,[831,9])
            
            
            #this mini loop checks to see if 'Go' is clicked on, if it is, proceed
            if event.type == pygame.MOUSEBUTTONDOWN:
                if gorect.collidepoint(event.pos) == True:
                    break
        
        if view == 'gameover':
            #show all this text
            screen.blit(background,[0,0])
            screen.blit(title,[55,50])
            screen.blit(title2,[65,120])
            screen.blit(title3,[505,170])
            screen.blit(yes,[630,240])
            screen.blit(no,[690,380])
            #screen.blit(scoreboard,[340,7])
            #screen.blit(score,[480,9])
            #screen.blit(time_display,[390,9])
            screen.blit(score_count,[120,300])
            
            if event.type == pygame.MOUSEBUTTONDOWN: #if yes is clicked, return False, if no is clicked return True
                if yes_rect.collidepoint(event.pos):
                    return False
                elif no_rect.collidepoint(event.pos):
                    sys.exit()

        pygame.event.pump()
        pygame.display.flip()
