import pygame
import random
import Screens

# Defining some basic colors
black = (0,0,0)
white = (255,255,255)
green = (0,255,0)
red = (255,0,0)


pygame.init()
size = [800,600]
screen = pygame.display.set_mode(size)
pygame.display.set_caption("Hare Trigger (Kablamie!)")
running = True
bunnyrect = pygame.Rect(100,0,100,100)
clock = pygame.time.Clock()

# Select the font to use.  Default font, 25 point size.
font = pygame.font.Font(None, 25)
# Render the text.  "True" means anti-aliased text.
# Black is the color.  The variable black was defined 
#Note: this line creates an image of the letters but doesn't print
text = font.render("Just sayin hi", True, white)
hit = False

if Screens.display('intro', hit, hit, hit) == False:
   running = False

sound = pygame.mixer.Sound('splat.wav')

#----- Main Program Loop -----
while running == True:
    for event in pygame.event.get(): #user did something
        if event.type == pygame.QUIT: #If user clicked close
            running = False # Flag that we are done so we exit this loop
        
                
    #Limit to 20 frames per second
    clock.tick(20)
    #Set the screen background and draw a bunch of stuff!
    screen.fill(black)
    #pygame.draw.line(screen,green,[0,0],[100,100],5)
    
    screen.blit(text,[300,300])
    #bunny.fill(green,rect=None,special_flags=0)
    
    #function for drawing a green rectangle with a black circle in it
    pos = pygame.mouse.get_pos() #get mouse position
    x = pos[0]
    y = pos[1]
    pygame.draw.rect(screen,green,[0+x,0+y,30,10],0)
    pygame.draw.circle(screen,black,[15+x,5+y],7,0)
    
    event = pygame.event.poll()
    if event.type == pygame.MOUSEBUTTONDOWN:
        print event.pos
        text = font.render(str(event.pos), True, white)    
        screen.blit(text,[0,300])
        if bunnyrect.collidepoint(event.pos) == True: 
            hit = True
            sound.play()
            if Screens.display('gameover',hit,hit,hit) == True: # true means the quit the game
                running = False

    if hit == False:
        pygame.draw.rect(screen,red,bunnyrect)
    
    
    pygame.event.pump()
    pygame.display.flip()
# Be IDLE friendly.  If you forget this line, the program will 'hang' on exit

pygame.quit ()